StandardSystemView subclass:#ButtonAndLabelDemo1
       instanceVariableNames:''
       classVariableNames:''
       poolDictionaries:''
       category:'Demos-Tutorial'
!

ButtonAndLabelDemo1 comment:'
 how to handle buttons and labels 

 start with:
        ButtonAndLabelDemo1 start

 %W% %E%
 written spring 91 by claus
'!

!ButtonAndLabelDemo1 class methodsFor:'startup'!

start
    |aDemo|

    aDemo := self
                label:'Label & Button Demo'
                icon:(Form fromFile:'Demo.xbm' resolution:100)
                minExtent:(50 @ 50)
                maxExtent:(1000 @ 1000).
    aDemo extent:(300 @ 100).
    aDemo open.
    ^ aDemo

    "ButtonAndLabelDemo1 start"
! !

!ButtonAndLabelDemo1 methodsFor:'initialization'!

initialize
    |myLabel myButton|

    super initialize.

    myLabel := Label origin:(0.0 @ 0.0) corner:(1.0 @ 0.5) in:self.
    myLabel label:'Hello World'.

    myButton := Button origin:(0.0 @ 0.5) corner:(1.0 @ 1.0) in:self.
    myButton label:'press to quit'.
    myButton action:[self quitPressed]
! !

!ButtonAndLabelDemo1 methodsFor:'user interaction'!

quitPressed
    self destroy
! !

ButtonAndLabelDemo1 initialize!
