StandardSystemView subclass:#ButtonAndLabelDemo2
       instanceVariableNames:''
       classVariableNames:''
       poolDictionaries:''
       category:'Demos-Tutorial'
!

ButtonAndLabelDemo2 comment:'
 like ButtonAndLabelDemo1 - but button looking better

 start with:
        ButtonAndLabelDemo2 start

 %W% %E%
 written spring 91 by claus
'!

!ButtonAndLabelDemo2 class methodsFor:'startup'!

start
    |aDemo|

    aDemo := self
                label:'Label & Button Demo'
                icon:(Form fromFile:'Demo.xbm' resolution:100)
                minExtent:(50 @ 50)
                maxExtent:(1000 @ 1000).
    aDemo extent:(300 @ 100).
    aDemo open.
    ^ aDemo

    "ButtonAndLabelDemo2 start"
! !

!ButtonAndLabelDemo2 methodsFor:'initialization'!

initialize
    |aLabel aPanel aButton|

    super initialize.
    aLabel := Label origin:(0 @ 0) extent:(1.0 @ 0.5) in:self.
    aLabel label:'Hello World'.

    aPanel := HorizontalPanelView origin:(0 @ 0.5) extent:(1.0 @ 0.5) in:self.
    aPanel layout:#center.

    aButton := Button in:aPanel.
    aButton label:'press to quit'.
    aButton action:[self quitPressed]
! !

!ButtonAndLabelDemo2 methodsFor:'user interaction'!

quitPressed
    self destroy
! !
