StandardSystemView subclass:#ButtonAndLabelDemo3
       instanceVariableNames:''
       classVariableNames:''
       poolDictionaries:''
       category:'Demos-Tutorial'
!

ButtonAndLabelDemo3 comment:'
 like ButtonAndLabelDemo2 - but more buttons

 start with:
        ButtonAndLabelDemo3 start

 %W% %E%
 written spring 91 by claus
'!

!ButtonAndLabelDemo3 class methodsFor:'startup'!

start
    |aDemo|

    aDemo := self
                label:'Label & Button Demo'
                icon:(Form fromFile:'Demo.xbm' resolution:100)
                minExtent:(50 @ 50)
                maxExtent:(1000 @ 1000).
    aDemo extent:(300 @ 100).
    aDemo open.
    ^ aDemo

    "ButtonAndLabelDemo3 start"
! !

!ButtonAndLabelDemo3 methodsFor:'initialization'!

initialize
    |aLabel aPanel button1 button2|

    super initialize.
    aLabel := Label origin:(0 @ 0) extent:(1.0 @ 0.5) in:self.
    aLabel label:'Hello World'.

    aPanel := HorizontalPanelView origin:(0 @ 0.5) extent:(1.0 @ 0.5) in:self.
    aPanel layout:#center.

    button1 := Button label:'quit' in:aPanel.
    button1 action:[self quitPressed].

    button2 := Button label:'press' in:aPanel.
    button2 action:[self button2Pressed]
! !

!ButtonAndLabelDemo3 methodsFor:'user interaction'!

quitPressed
    self destroy
!

button2Pressed
    Transcript showCr:'button2 was pressed'
! !
