StandardSystemView subclass:#Example1
       instanceVariableNames:'subview'
       classVariableNames:''
       poolDictionaries:''
       category:'Demos-Tutorial'
!

Example1 comment:'

Tutorial example - a view with a subview;

to show: fileIn this code;
execute: ''Example1 start''
destroy with WindowManager

%W% %E%
written spring 92 by claus
'!

!Example1 methodsFor:'initialization'!

initialize
    |hPixelPerMM vPixelPerMM|

    super initialize.

    self label:'Turorial Example1'.

    hPixelPerMM := self horizontalPixelPerMillimeter rounded asInteger.
    vPixelPerMM := self verticalPixelPerMillimeter rounded asInteger.

    subview := View origin:(hPixelPerMM @ vPixelPerMM)
                    extent:[(width - (hPixelPerMM * 2))
                             @ 
                            (height - (vPixelPerMM * 2))]
                        in:self.
    subview level:-1

    "Example1 start"
! !
