StandardSystemView subclass:#Example2
       instanceVariableNames:'subview1 subview2'
       classVariableNames:''
       poolDictionaries:''
       category:'Demos-Tutorial'
!

Example2 comment:'

Tutorial example - a view with 2 subviews

    Example2 start

%W% %E%
written spring 92 by claus
'!

!Example2 methodsFor:'initialization'!

initialize
    |hPixelPerMM vPixelPerMM|

    super initialize.

    self label:'Turorial Example2'.

    hPixelPerMM := self horizontalPixelPerMillimeter rounded asInteger.
    vPixelPerMM := self verticalPixelPerMillimeter rounded asInteger.

    subview1 := View origin:(hPixelPerMM @ vPixelPerMM)
                     extent:[(width - (hPixelPerMM * 2))
                              @ 
                             (height - (vPixelPerMM * 2) // 2 - vPixelPerMM)]
                         in:self.

    subview1 level:-1.

    subview2 := View origin:[hPixelPerMM @ (subview1 bottom + vPixelPerMM)]
                     extent:[(width - (hPixelPerMM * 2))
                              @ 
                             (height - (vPixelPerMM * 2) // 2 - vPixelPerMM)]
                         in:self.
    subview2 level:-1

    "Example2 start"
! !
