StandardSystemView subclass:#PathDemo2
         instanceVariableNames:'elements'
         classVariableNames:''
         poolDictionaries:''
         category:'Demos-Tutorial'
!

PathDemo2 comment:'

Tutorial example - show use of path classes

execute: 
    PathDemo2 start

%W% %E%
written dec 92 by claus
'!

!PathDemo2 methodsFor:'initialization'!

initialize
    super initialize.

    self extent:(450 @ 450).
    self label:'Path Example2 (LinearFits)'.

    self initElements

    "PathDemo2 start"
!

initElements
    |l p|

    "Display the star example from the Blue Book, pg. 403."

    elements := OrderedCollection new.

    l := LinearFit new form:(DrawingPen dotOfSize:5).
    l add:50 @ 135.
    l add:300 @ 135.
    l add:85 @ 280.
    l add:180 @ 50.
    l add:275 @ 280.
    l add:50 @ 135.
    elements add:l.

    l := LinearFit new.
    p := DrawingPen dotOfSize:5.
    p lineStyle:#doubleDashed.
    p paint:(Color black).
    p dashPaint:(Color white).
    l form:p.
    l add:150 @ 235.
    l add:400 @ 235.
    l add:185 @ 380.
    l add:280 @ 150.
    l add:375 @ 380.
    l add:150 @ 235.
    elements add:l
! !

!PathDemo2 methodsFor:'redrawing'!

redraw
    elements do:[:aLine |
        aLine displayOn:self
    ]
! !
