StandardSystemView subclass:#PathDemo7
         instanceVariableNames:'mySpline'
         classVariableNames:''
         poolDictionaries:''
         category:'Demos-Tutorial'
!

PathDemo7 comment:'

Tutorial example - show use of path classes

to show: fileIn this code;

execute: 
    PathDemo7 start

%W% %E%
written dec 92 by claus
'!

!PathDemo7 methodsFor:'initialization'!

initialize
    super initialize.

    self extent:(450 @ 450).
    self label:'Path Example7 (Interactive Splines - click left/middle)'.

    mySpline := Spline new.
    mySpline form:((DrawingPen dotOfSize:3) capStyle:#round)

    "PathDemo7 start"
!

initEvents
    self enableButtonEvents
! !

!PathDemo7 methodsFor:'user interaction'!

buttonPress:button x:x y:y
    "add the press-point to the spline, if its the middle
     or right button, display the spline and start a new one"

    self paint:(Color white).
    self fillCircle:(x @ y) radius:3.
    mySpline add:(x @ y).

    (button == 1) ifFalse:[
        self paint:(Color white).
        self fillCircle:(x @ y) radius:3.
        mySpline add:(x @ y).

        mySpline computeCurve.
        mySpline displayOn:self.
        mySpline := Spline new.
        mySpline form:((DrawingPen dotOfSize:3) capStyle:#round)
    ]
! !
