StandardSystemView subclass:#PathDemo8
         instanceVariableNames:'elements'
         classVariableNames:''
         poolDictionaries:''
         category:'Demos-Tutorial'
!

PathDemo8 comment:'

Tutorial example - show use of path classes

to show: fileIn this code;

execute: 
    PathDemo8 start

%W% %E%
written dec 92 by claus
'!

!PathDemo8 methodsFor:'initialization'!

initialize
    super initialize.

    self extent:(450 @ 450).
    self label:'Path Example8 (Ellipses)'.

    self initElements.

    "PathDemo8 start"
!

initElements
    |l p|

    elements := OrderedCollection new.

    l := Ellipse new.
    l center:200@200 semiMajorAxis:100 semiMinorAxis:50.
    p := DrawingPen dotOfSize:3.
    l form:p.
    elements add:l.

    l := Ellipse new.
    l center:200@300 semiMajorAxis:150 semiMinorAxis:20.
    p := DrawingPen dotOfSize:2.
    p lineStyle:#dashed.
    l form:p.
    elements add:l.

    l := Ellipse new.
    l center:300@200 semiMajorAxis:50 semiMinorAxis:150.
    p := DrawingPen dotOfSize:5.
    p lineStyle:#dashed.
    p paint:(Color white).
    l form:p.
    elements add:l
! !

!PathDemo8 methodsFor:'redrawing'!

redraw
    elements do:[:aLine |
        aLine displayOn:self
    ]
! !
