StandardSystemView subclass:#Example5
       instanceVariableNames:'subview1 textview'
       classVariableNames:''
       poolDictionaries:''
       category:'Examples-Tutorial'
!

Example5 comment:'

Tutorial example - a view with 2 subviews
size ratios are variable; 2nd view is a text view showing some text

%W% %E%
written spring 92 by claus
'!

!Example5 methodsFor:'initialization'!

initialize
    |hPixelPerMM vPixelPerMM helpview|

    super initialize.

    self label:'Turorial Example5'.

    hPixelPerMM := self horizontalPixelPerMillimeter rounded asInteger.
    vPixelPerMM := self verticalPixelPerMillimeter rounded asInteger.

    helpview := VariableVerticalPanel origin:(hPixelPerMM @ vPixelPerMM)
                                      extent:[(width - (hPixelPerMM * 2))
                                              @ 
                                              (height - (vPixelPerMM * 2))]
                                          in:self.

    subview1 := View origin:(0.0 @ 0.0) corner:(1.0 @ 0.3) in:helpview.
    subview1 level:-1.

    textview := TextView origin:(0.0 @ 0.3) corner:(1.0 @ 1.0) in:helpview.
    textview level:-1.

    textview contents:'
This is a TextView in a VariableVerticalPanel

The size of this view relative to the above view can be
changed (click on the bar between these views, move it
around with the mouse and finally release the mouse
button to see).

Notice, that this view has a popup-menu (right button)
and it supports selections (left button; single, double and
triple click) which can be copied (copy in the menu).

Because its not an EditTextView, it does not support cut & paste.

see next example(s) for more ...
'

    "Example5 start"
! !
