StandardSystemView subclass:#DrawArcDemo1
       instanceVariableNames:''
       classVariableNames:''
       poolDictionaries:''
       category:'Examples-Views'
!

DrawArcDemo1 comment:'
 how to draw arcs 

 %W% %E%
 written july 93 by claus
'!

!DrawArcDemo1 class methodsFor:'startup'!

start
    |aDemo|


    aDemo := self
                label:'DrawArcDemo1'
                icon:(Form fromFile:'Demo.xbm' resolution:100)
                minExtent:(50 @ 50)
                maxExtent:(1000 @ 1000).
    aDemo extent:(200 @ 200).
    aDemo open.
    ^ aDemo

    "DrawArcDemo1 start"
! !

!DrawArcDemo1 methodsFor:'redrawing'!

redraw
    |nSegment angle startAngle|

    "the nsegment steps are for demo purposes only -
     it could have been done in one (360 degree) draw too"

    nSegment := 6.
    angle := 360 / nSegment.
    startAngle := 0.
    1 to:nSegment do:[:segment |
        self displayArcX:0 y:0
                       w:width-1 h:height-1
                    from:startAngle angle:angle.
        startAngle := startAngle + angle.
    ]
! !
