StandardSystemView subclass:#DrawArcDemo3
       instanceVariableNames:''
       classVariableNames:''
       poolDictionaries:''
       category:'Examples-Views'
!

DrawArcDemo3 comment:'
 more on arc drawing

 %W% %E%
 written feb 94 by claus
'!

!DrawArcDemo3 class methodsFor:'startup'!

start
    |aDemo|


    aDemo := self
                label:'DrawArcDemo3'
                icon:(Form fromFile:'Demo.xbm' resolution:100)
                minExtent:(50 @ 50)
                maxExtent:(1000 @ 1000).
    aDemo extent:(300 @ 300).
    aDemo open.
    ^ aDemo

    "DrawArcDemo3 start"
! !

!DrawArcDemo3 methodsFor:'redrawing'!

redraw
    |nSegment angle1 angle2 startAngle w h x y|

    nSegment := 5.
    angle1 := 360 / (nSegment + 1).
    angle2 := 360 / nSegment.
    x := 0.
    y := 0.
    w := width.
    h := height.

    1 to:10 do:[:ring |
        startAngle := 0.
        self lineWidth:(10 - ring).

        1 to:nSegment do:[:segment |
            self displayArcX:x y:y 
                           w:w-1 h:h-1
                        from:startAngle angle:angle1.
            startAngle := startAngle + angle2.
        ].
        x := x + (width // 10 // 2).
        y := y + (height // 10 // 2).
        w := w - (width // 10).
        h := h - (height // 10).
    ]
! !
