"
 COPYRIGHT (c) 1991 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

StandardSystemView subclass:#Clock
       instanceVariableNames:'clockView'
       classVariableNames:''
       poolDictionaries:''
       category:'Demos'
!

Clock comment:'
 xclock replacement

 :-) not that I thought this clock is any better than xclock
     or that the world needs clocks ...

     its showing how easy it is to program in Smalltalk - 
     this took less than an hour to program - compare with xclock code ....

 Clock start

 $Header: /claus/smalltalk/st2.6/clients/Clock/RCS/Clock.st,v 1.2 94/01/13 00:34:11 claus Exp $
 written spring 91 by claus
'!

!Clock methodsFor:'initialization'!

initialize
    super initialize.

    self label:'Clock'.
    self icon:(Form fromFile:'Clock.xbm' resolution:100).
    self extent:(200 @ 200).
    self minExtent:(50 @ 50).
    self maxExtent:(1000 @ 1000).

    clockView := ClockView origin:(0.0 @ 0.0) extent:(1.0 @ 1.0) in:self.
    clockView keyboardHandler:self.
    clockView enableKeyEvents.
!

realize
    super realize.
    clockView enableKeyEvents.
! !

!Clock methodsFor:'user actions'!

keyPress:key x:x y:y
    "keyboard commands: q -- quit / s -- toggle seconds flag"

    (key == $q) ifTrue:[
        ^ self destroy
    ].
    (key == $s) ifTrue:[
        ^ clockView toggleSeconds
    ]
! !
