'From Smalltalk/X, Version:1.4 on 19-Jul-91 at 18:34:01'!

StandardSystemView subclass:#EventMonitor
         instanceVariableNames:''
         classVariableNames:''
         poolDictionaries:''
         category:'Views-Demo'
!

EventMonitor comment:'
like xev - show events.

start with: EventMonitor start

%W% %E%
written spring 91 by claus
'!

!EventMonitor class methodsFor:'defaults'!

defaultExtent
    ^ 200 @ 200
!

defaultLabel
    ^ 'Event Monitor'
! !

!EventMonitor methodsFor:'events'!

keyPress:key x:x y:y
    'KeyPress x:' print. x print. ' y:' print. y print.
    (key isMemberOf:Character) ifTrue:[
        ' character key:' print. key print.
        ' (' print. key asciiValue print. ')' print
    ] ifFalse:[
        ' symbolic key:' print. key print
    ].

    '' printNewline
!

buttonPress:button x:x y:y
    'buttonPress x:' print. x print. ' y:' print. y print.
    ' button:' print. button printNewline
!

buttonRelease:button x:x y:y
    'buttonRelease x:' print. x print. ' y:' print. y print.
    ' button:' print. button printNewline
!

buttonMotion:button x:x y:y
    'buttonMotion x:' print. x print. ' y:' print. y print.
    ' button:' print. button printNewline
! !

!EventMonitor methodsFor:'realization'!

initEvents
    self enableKeyEvents.
    self enableButtonEvents.
    self enableMotionEvents.
    self enableButtonMotionEvents
! !
