'From Smalltalk/X, Version:2.8.2 on 27-nov-1993 at 13:07:57'!

StandardSystemView subclass:#GLTeapotDemo
         instanceVariableNames:'framedBox1 teapotView rotBox transBox scaleSlider
                label1 framedBox2 pointButton lineButton splineButton solidButton
                radioButtonGroup1'
         classVariableNames:''
         poolDictionaries:''
         category:'Applications'
!

GLTeapotDemo comment:'
wraps a teapotView and some controls into a nice view.
(just a demo on how to use smalltalk widgets to control a GLX view)

start with:
    GLTeapotDemo start

This file was created using an early version of the interface builder
'!

!GLTeapotDemo methodsFor:'initialization'!

initialize
    super initialize.
    self extent:900@460.
    self minExtent:900@460.
    self maxExtent:900@460.
    self label:'3D with Smalltalk !!'.
    self setupSubViews.

    "GLTeapotDemo start"
!

setupSubViews
    "This method was created by the interface builder"

    framedBox1 := FramedBox new.
    self addSubView:framedBox1.
    framedBox1 origin:(7@7) extent:(511@401).
    framedBox1 label:'teapot'.

    teapotView := GLTeapotView new.
    framedBox1 addSubView:teapotView.
    teapotView origin:(22@42) extent:(463@338).
    teapotView level:-1.

    rotBox := SliderBox new.
    self addSubView:rotBox.
    rotBox origin:(520@7) extent:(177@346).
    rotBox label:'rotate'.

    rotBox xSlider thumbOrigin:25.
    rotBox xSlider scrollAction:[:percent | teapotView rotX:percent * 3.6].

    rotBox ySlider thumbOrigin:50.
    rotBox ySlider scrollAction:[:percent | teapotView rotY:percent * 3.6].

    rotBox zSlider thumbOrigin:0.
    rotBox zSlider scrollAction:[:percent | teapotView rotZ:percent * 3.6].

    transBox := SliderBox new.
    self addSubView:transBox.
    transBox origin:(699@7) extent:(177@346).
    transBox label:'translate'.

    transBox xSlider thumbOrigin:50.
    transBox xSlider scrollAction:[:percent | teapotView transX:percent * 3 - 150].

    transBox ySlider thumbOrigin:50.
    transBox ySlider scrollAction:[:percent | teapotView transY:percent * 3 - 150].

    transBox zSlider thumbOrigin:50.
    transBox zSlider scrollAction:[:percent | teapotView transZ:percent * 3 - 150].

    scaleSlider := HorizontalSlider new.
    self addSubView:scaleSlider.
    scaleSlider thumbOrigin:20.
    scaleSlider origin:(69@418) extent:(405@23).
    scaleSlider scrollAction:[:percent | teapotView scale:percent * 0.5].

    label1 := Label new.
    self addSubView:label1.
    label1 origin:(10@418) extent:(54@22).
    label1 label:'scale'.

    framedBox2 := FramedBox new.
    self addSubView:framedBox2.
    framedBox2 origin:(521@356) extent:(357+20"+177"@93).
    framedBox2 label:'display'.

    pointButton := RadioButton new.
    framedBox2 addSubView:pointButton.
    pointButton origin:(27@39) extent:(60@28).
    pointButton label:'Point'.
    pointButton action:[teapotView mode:#point].

    lineButton := RadioButton new.
    framedBox2 addSubView:lineButton.
    lineButton origin:(114@39) extent:(50@28).
    lineButton label:'Line'.
    lineButton action:[teapotView mode:#line].

    splineButton := RadioButton new.
    framedBox2 addSubView:splineButton.
    splineButton origin:(191@39) extent:(60@28).
    splineButton label:'Spline'.
    splineButton action:[teapotView mode:#spline].

    solidButton := RadioButton new.
    framedBox2 addSubView:solidButton.
    solidButton origin:(191+97@39) extent:(60@28).
    solidButton label:'Solid'.
    solidButton action:[teapotView mode:#solid].

    radioButtonGroup1 := RadioButtonGroup new.
    radioButtonGroup1 add:solidButton.
    radioButtonGroup1 add:pointButton.
    radioButtonGroup1 add:lineButton.
    radioButtonGroup1 add:splineButton.

    pointButton turnOn.
! !
