"
 COPYRIGHT (c) 1993 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

ColorSlider subclass:#HueSlider
         instanceVariableNames:''
         classVariableNames:''
         poolDictionaries:''
         category:'Views-Interactors'
!

!HueSlider methodsFor:'accessing'!

color:dummyColor
    |n keep|

    "get these first, to give code below a chance of dithering"
    keep := OrderedCollection new.
    0 to:330 by:30 do:[:hue |
        keep add:((Color hue:hue light:50 saturation:100) on:device).
    ].
"
    keep add:((Color hue:0 light:50 saturation:100) on:device).
    keep add:((Color hue:60 light:50 saturation:100) on:device).
    keep add:((Color hue:120 light:50 saturation:100) on:device).
    keep add:((Color hue:180 light:50 saturation:100) on:device).
    keep add:((Color hue:240 light:50 saturation:100) on:device).
    keep add:((Color hue:300 light:50 saturation:100) on:device).
    keep add:((Color hue:30 light:50 saturation:100) on:device).
    keep add:((Color hue:90 light:50 saturation:100) on:device).
    keep add:((Color hue:150 light:50 saturation:100) on:device).
    keep add:((Color hue:210 light:50 saturation:100) on:device).
    keep add:((Color hue:270 light:50 saturation:100) on:device).
    keep add:((Color hue:330 light:50 saturation:100) on:device).
"
    n := 40.
    colors := Array new:n.
    1 to:n do:[:i |
        colors at:i put:(Color hue:(360 / n * i - (n // 2))
                             light:50
                        saturation:100)
    ].
    shown ifTrue:[
        self setBgPattern.
        self redraw
    ]
! !
