"
 COPYRIGHT (c) 1993 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

ImageReader subclass:#JPEGReader
         instanceVariableNames:''
         classVariableNames:''
         poolDictionaries:''
         category:'Graphics-Support'
!

JPEGReader comment:'

COPYRIGHT (c) 1993 by Claus Gittinger
              All Rights Reserved

Reader for JPEG images.
uses PD djpeg tool to convert JPG image to gif first,
then read GIF image using GIFReader.

$Header: /claus/smalltalk/st2.6/libview/RCS/JPEGReader.st,v 1.3 94/01/08 17:15:51 claus Exp $
'!

!JPEGReader methodsFor:'reading from file'!

fromFile:aFileName
    "make it the easy way: let djpeg convert it to gif,
     then let GIFReader read the file"

    |tempFileName reader|

    tempFileName := '/tmp/img' , (OperatingSystem getProcessId printString).
    Transcript showCr:'converting to gif ..'.
    (OperatingSystem executeCommand:'djpeg -gif ' , aFileName , ' > ' , tempFileName)
    ifTrue:[
        reader := GIFReader fromFile:tempFileName.
        OperatingSystem executeCommand:'rm ' , tempFileName.
        ^ reader
    ].
    Transcript showCr:'conversion failed ..'.
    self warn:'cannot execute jpeg converter: djpeg'.
    ^ nil

    "JPEGReader fromFile:'bitmaps/testimg.jpg'"
! !
