"
 COPYRIGHT (c) 1993 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

IdentityDictionary  subclass:#KeyboardMap 
       instanceVariableNames:'current'
       classVariableNames:''
       poolDictionaries:''
       category:'Interface-Support'
!

KeyboardMap comment:'

COPYRIGHT (c) 1993 by Claus Gittinger
              All Rights Reserved

instances of KeyboardMap are used for mapping keystrokes AND sequences
of keystrokes to a function key.

$Header: /claus/smalltalk/st2.6/libview/RCS/KeybdMap.st,v 1.2 93/10/13 00:46:06 claus Exp $

written jun 93 by claus
'!

!KeyboardMap methodsFor:'accessing'!

bindValue:anObject to:aKey
    self at:aKey put:anObject
!

bindValue:anObject to:key1 followedBy:key2
    |submap|

    submap := self at:key1.
    submap isNil ifTrue:[
        submap := KeyboardMap new.
        self at:key1 put:submap.
    ].
    submap at:key2 put:anObject
!

valueFor:aKey
    |where value|

    where := current notNil ifTrue:[current] ifFalse:[self].

    value := where at:aKey ifAbsent:[aKey].
    (value isMemberOf:KeyboardMap) ifTrue:[
        current := value.
        ^ nil.
    ].
    current := nil.
    ^ value
! !
