'From Smalltalk/X, Version:2.3.1 on 7-Sep-92 at 19:56:02'!

LightInTheDark subclass:#LightInTheDark2 
         instanceVariableNames:'dX dY stepCount steps destX destY state'
         classVariableNames:''
         poolDictionaries:''
         category:'Views-Demos'
!

LightInTheDark2 comment:'
start with:

    LightInTheDark2 start
'!

!LightInTheDark2 methodsFor:'initialization'!

initialize
    steps := 20.
    super initialize.
    timedBlock := [self cycle]. timedBlock2 := nil.
    state := #initial.
! !

!LightInTheDark2 methodsFor:'private'!

initial
    self fillHole.
    xpos := (random next * (device width - radius)) rounded asInteger.
    ypos := (random next * (device height - radius)) rounded asInteger.
    self punchHole.
    self decideNextDestination.
    state := #move.
    Processor addTimedBlock:timedBlock after:2
!

decideNextDestination
    destX := (random next * (device width - radius)) rounded asInteger.
    destY := (random next * (device height - radius)) rounded asInteger.
    dX := (destX - xpos) / steps.
    dY := (destY - ypos) / steps.
    stepCount := steps
!

move
    self fillHole.
    xpos := xpos + dX.
    ypos := ypos + dY.
    self punchHole.

    stepCount := stepCount - 1.
    (stepCount == 0) ifTrue:[
        self decideNextDestination.
        Processor addTimedBlock:timedBlock after:2.
    ] ifFalse:[
        Processor addTimedBlock:timedBlock after:0.05
    ]
!

cycle
    "move to a random new spot, stay awhile and again"

    self perform:state
! !
