"
 COPYRIGHT (c) 1993 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

GlobeDemo subclass:#RoundGlobe
       instanceVariableNames:''
       classVariableNames:''
       poolDictionaries:''
       category:'Demos'
!

RoundGlobe comment:'
suns globes - round

$Header: /claus/smalltalk/st2.6/clients/Animation/RCS/RoundGlobe.st,v 1.1 93/10/25 10:42:50 claus Exp $
'!

!RoundGlobe methodsFor:'initialization'!

realize
    self label:'RoundGlobe'.
    super realize.
    self computeShape

    "RoundGlobe start"
! !

!RoundGlobe methodsFor:'handling size changes'!

sizeChanged:how of:aView
    self computeShape.
    aView sizeChanged:how
! !

!RoundGlobe methodsFor:'shape computation'!

computeShape
    |extent shapeForm borderForm bw|

    extent := self extent.
    borderForm := Form width:width height:height depth:1 on:device.
    borderForm fill:(Color colorId:0).
    shapeForm := Form width:width height:height depth:1 on:device.
    shapeForm fill:(Color colorId:0).

    borderForm foreground:(Color colorId:1).
    shapeForm foreground:(Color colorId:1).

    borderForm fillArcX:0 y:0 
                      w:(borderForm width)
                      h:(borderForm height)
                   from:0
                  angle:360.
    bw := 3.
    shapeForm fillArcX:bw y:bw 
                     w:(shapeForm width - (bw * 2))
                     h:(shapeForm height - (bw * 2))
                   from:0
                  angle:360.
    self borderShape:borderForm.
    self viewShape:shapeForm
! !
