'From Smalltalk/X, Version:2.4.5 on 15-Nov-1992 at 12:38:23'!

ColorDrawDemo subclass:#ColorDrawDemo2
         instanceVariableNames:'buttonPanel3'
         classVariableNames:''
         poolDictionaries:''
         category:'Demos-Graphics'
!

ColorDrawDemo2 comment:'
To demonstrate, how easy it is to add features in subclasses,
this class adds brushes to the DrawDemo.

 start with:
       ColorDrawDemo2 start

'!

!ColorDrawDemo2 methodsFor:'startup'!

setupViews
    |group|

    super setupViews.

    "otherwise things wont look too good"
    drawView capStyle:#round.

    buttonPanel3 := PanelView
                        origin:(0.0 @ 0.7)
                        extent:(0.2 @ 0.3)
                            in:topPanel.
    buttonPanel3 borderWidth:0.

    group := RadioButtonGroup new.
    2 to:16 by:2 do:[:i |
        group add:(self addBrushButton:i)
    ]

    "ColorDrawDemo2 start"
!

addBrushButton:width
    |form button sz|

    sz := (buttonPanel3 horizontalPixelPerMillimeter:8) truncated.
    form := Form width:sz height:sz.
    form clear.
    form paint:(Color colorId:1).
    form fillCircle:(form center) radius:(width // 2).
    button := RadioButton in:buttonPanel3.
"    button showLamp:false.     "
    button form:form.
    button extent:sz @ sz.
    button action:[drawView cursor:(Cursor sourceForm:form maskForm:form hotSpot:form center).
                   currentLineWidth := width.
                   drawView lineWidth:width
    ].
    ^ button
! !
