StandardSystemView subclass:#PathDemo1
         instanceVariableNames:'lines'
         classVariableNames:''
         poolDictionaries:''
         category:'Demos-Tutorial'
!

PathDemo1 comment:'

Tutorial example - show use of path classes

execute: 

PathDemo1 start

%W% %E%
written dec 92 by claus
'!

!PathDemo1 methodsFor:'initialization'!

initialize
    super initialize.

    self extent:(300 @ 250).
    self label:'Path Example1 (Lines)'.

    self initElements

    "PathDemo1 start"
!

initElements
    |l|

    lines := OrderedCollection new.

    l := Line new.
    l beginPoint:10 @ 10.
    l endPoint:(290 @ 10).
    l form:(DrawingPen dotOfSize:10).
    lines add:l.

    l := Line new.
    l beginPoint:10 @ 30.
    l endPoint:(290 @ 30).
    l form:((DrawingPen dotOfSize:10) capStyle:#round).
    lines add:l.

    l := Line new.
    l beginPoint:10 @ 50.
    l endPoint:(290 @ 50).
    l form:((DrawingPen dotOfSize:5) lineStyle:#dashed).
    lines add:l.

    l := Line new.
    l beginPoint:10 @ 70.
    l endPoint:(290 @ 70).
    l form:((DrawingPen dotOfSize:5) lineStyle:#doubleDashed).
    lines add:l.

    l := Line new.
    l beginPoint:10 @ 90.
    l endPoint:(290 @ 190).
    l form:((DrawingPen dotOfSize:15) paint:Color red;
                                 lineStyle:#doubleDashed).
    lines add:l.

    l := Line new.
    l beginPoint:290 @ 90.
    l endPoint:(10 @ 190).
    l form:((DrawingPen dotOfSize:5) paint:Color green;
                                 lineStyle:#dashed).
    lines add:l.
! !

!PathDemo1 methodsFor:'redrawing'!

redraw
    lines do:[:aLine |
        aLine displayOn:self
    ]
! !
