StandardSystemView subclass:#PathDemo1b
         instanceVariableNames:'elements'
         classVariableNames:''
         poolDictionaries:''
         category:'Demos-Tutorial'
!

PathDemo1b comment:'

Tutorial example - show use of path classes

to show: fileIn this code;

execute: PathDemo1b start

%W% %E%
written dec 92 by claus
'!

!PathDemo1b methodsFor:'initialization'!

initialize
    super initialize.

    self extent:(300 @ 250).
    self label:'Path Example1 (DirectedLines)'.

    self initElements

    "PathDemo1b start"
!

initElements
    |l|

    elements := OrderedCollection new.

    l := DirectedArc new.
    l beginPoint:10 @ 10.
    l endPoint:(290 @ 10).
    l form:(DrawingPen dotOfSize:2).
    elements add:l.

    l := DirectedArc new.
    l beginPoint:10 @ 30.
    l endPoint:(290 @ 30).
    l form:((DrawingPen dotOfSize:5) capStyle:#round).
    elements add:l.

    l := DirectedArc new.
    l beginPoint:10 @ 50.
    l endPoint:(290 @ 50).
    l form:((DrawingPen dotOfSize:2) lineStyle:#dashed).
    elements add:l.

    l := DirectedArc new.
    l beginPoint:10 @ 70.
    l endPoint:(290 @ 70).
    l form:((DrawingPen dotOfSize:1) lineStyle:#doubleDashed).
    elements add:l
! !

!PathDemo1b methodsFor:'redrawing'!

redraw
    elements do:[:e |
        e displayOn:self
    ]
! !
