StandardSystemView subclass:#PathDemo5
         instanceVariableNames:'elements'
         classVariableNames:''
         poolDictionaries:''
         category:'Demos-Tutorial'
!

PathDemo5 comment:'

Tutorial example - show use of path classes

execute: 
    PathDemo5 start

%W% %E%
written dec 92 by claus
'!

!PathDemo5 methodsFor:'initialization'!

initialize
    super initialize.

    self extent:(350 @ 450).
    self label:'Path Example5 (Curves)'.

    self initElements

    "PathDemo5 start"
!

initElements
    |l p|

    elements := OrderedCollection new.

    l := Curve new form:(DrawingPen dotOfSize:5).
    l points:(Array with:50@50 with:100@100 with:150@50).
    elements add:l.

    l := Curve new.
    p := DrawingPen dotOfSize:10.
    p lineStyle:#dashed.
    p paint:(Color green).
    l form:p.
    l points:(Array with:50@300 with:100@120 with:150@300).
    elements add:l.

    l := Curve new.
    p := DrawingPen dotOfSize:3.
    p lineStyle:#doubleDashed.
    p paint:(Color black).
    p dashPaint:(Color white).
    l form:p.
    l points:(Array with:100@100 with:300@300 with:100@400).
    elements add:l
! !

!PathDemo5 methodsFor:'redrawing'!

redraw
    elements do:[:aLine |
        aLine displayOn:self
    ]
! !
