StandardSystemView subclass:#PathDemo6
         instanceVariableNames:'lines'
         classVariableNames:''
         poolDictionaries:''
         category:'Demos-Tutorial'
!

PathDemo6 comment:'

Tutorial example - show use of path classes

execute:
    PathDemo6 start


%W% %E%
written dec 92 by claus
'!

!PathDemo6 methodsFor:'initialization'!

initialize
    super initialize.

    self extent:(300 @ 250).
    self label:'Path Example6 (Arrows)'.

    self initElements.

    "PathDemo6 start"
!

initElements
    |l|

    lines := OrderedCollection new.

    l := Arrow new.
    l beginPoint:10 @ 10.
    l endPoint:(290 @ 10).
    l form:(DrawingPen dotOfSize:1).
    lines add:l.

    l := Arrow new.
    l beginPoint:10 @ 30.
    l endPoint:(290 @ 30).
    l form:((DrawingPen dotOfSize:3) capStyle:#round).
    lines add:l.

    l := Arrow new.
    l beginPoint:10 @ 50.
    l endPoint:(290 @ 50).
    l form:((DrawingPen dotOfSize:1) lineStyle:#dashed).
    lines add:l.

    l := Arrow new.
    l beginPoint:10 @ 70.
    l endPoint:(290 @ 70).
    l form:((DrawingPen dotOfSize:2) lineStyle:#doubleDashed).
    lines add:l.

    l := Arrow new.
    l beginPoint:10 @ 90.
    l endPoint:(200 @ 200).
    l form:((DrawingPen dotOfSize:2) lineStyle:#doubleDashed).
    lines add:l.

    l := Arrow new.
    l beginPoint:150 @ 90.
    l endPoint:(20 @ 200).
    l form:((DrawingPen dotOfSize:2) lineStyle:#dashed).
    lines add:l.

    l := Arrow new.
    l beginPoint:150 @ 200.
    l endPoint:(150 @ 100).
    l form:(DrawingPen dotOfSize:2).
    lines add:l
! !

!PathDemo6 methodsFor:'redrawing'!

redraw
    lines do:[:aLine |
        aLine displayOn:self
    ]
! !
