Object subclass:#FloatExceptionHandlingExample
         instanceVariableNames:''
         classVariableNames:''
         poolDictionaries:''
         category:'Examples-Float-Signals'!

!FloatExceptionHandlingExample class methodsFor:'examples'!

example1
    |val|

    "do something which raises a domainError exception
     and handle the exception"

    Float divisionByZeroSignal
    handle:[:ex |
        self notify:'a floating point error occured.'.
        ex return
    ] do:[
        self computationWithError:0.0
    ].
    Transcript showCr:'here after computation.'

    "FloatExceptionHandlingExample example1"
!

example2
    |val|

    "do something which raises a floating exception
     do NOT handle the exception"

    self computationWithError:0.0

    "FloatExceptionHandlingExample example2"
!

computationWithError:arg
    ^ 3.0 // arg    "this raises an exception if called with bad arg"
! !
