StandardSystemView subclass:#Example1e
       instanceVariableNames:'subview'
       classVariableNames:''
       poolDictionaries:''
       category:'Examples-Tutorial'
!

Example1e comment:'

Tutorial example - a view with a subview;
This shows how to compute subview coordinates on-resize

fileIn this code;
execute: 
    Example1e start

destroy with WindowManager

%W% %E%
written spring 92 by claus
'!

!Example1e methodsFor:'initialization'!

initialize
    |hPixelPerMM vPixelPerMM|

    super initialize.

    self label:'Turorial Example1e'.

    hPixelPerMM := self horizontalPixelPerMillimeter rounded asInteger.
    vPixelPerMM := self verticalPixelPerMillimeter rounded asInteger.

    "the origin is fix;
     the extent is computed from the parent views extent, minus the border"

    subview := View origin:(hPixelPerMM @ vPixelPerMM)
                    extent:[(width - (hPixelPerMM * 2)) @ (height - (vPixelPerMM * 2))]
                        in:self.
    subview level:-1

    "Example1e start"
! !
