StandardSystemView subclass:#Example3
       instanceVariableNames:'subview1 subview2'
       classVariableNames:''
       poolDictionaries:''
       category:'Examples-Tutorial'
!

Example3 comment:'

Tutorial example - a view with 2 subviews
like Example2 but using a helper view

%W% %E%
written spring 92 by claus
'!

!Example3 methodsFor:'initialization'!

initialize
    |hPixelPerMM vPixelPerMM helpview|

    super initialize.

    self label:'Turorial Example3'.

    hPixelPerMM := self horizontalPixelPerMillimeter rounded asInteger.
    vPixelPerMM := self verticalPixelPerMillimeter rounded asInteger.

    helpview := View origin:(hPixelPerMM @ vPixelPerMM)
                     extent:[(width - (hPixelPerMM * 2))
                              @ 
                             (height - (vPixelPerMM * 2))]
                         in:self.

    subview1 := View origin:(0.0 @ 0.0) extent:(1.0 @ 0.5) in:helpview.
    subview1 level:-1.

    subview2 := View origin:(0.0 @ 0.5) extent:(1.0 @ 0.5) in:helpview.
    subview2 level:-1

    "Example3 start"
! !
