StandardSystemView subclass:#Example4
       instanceVariableNames:'subview1 subview2'
       classVariableNames:''
       poolDictionaries:''
       category:'Examples-Tutorial'
!

Example4 comment:'

Tutorial example - a view with 2 subviews
where the size ratios are variable (introducing VariableVerticalPanel)

%W% %E%
written spring 92 by claus
'!

!Example4 methodsFor:'initialization'!

initialize
    |hPixelPerMM vPixelPerMM helpview|

    super initialize.

    self label:'Turorial Example4'.

    hPixelPerMM := self horizontalPixelPerMillimeter rounded asInteger.
    vPixelPerMM := self verticalPixelPerMillimeter rounded asInteger.

    helpview := VariableVerticalPanel origin:(hPixelPerMM @ vPixelPerMM)
                                      extent:[(width - (hPixelPerMM * 2))
                                              @ 
                                              (height - (vPixelPerMM * 2))]
                                          in:self.

    subview1 := View origin:(0.0 @ 0.0) corner:(1.0 @ 0.5) in:helpview.
    subview1 level:-1.

    subview2 := View origin:(0.0 @ 0.5) corner:(1.0 @ 1.0) in:helpview.
    subview2 level:-1

    "Example4 start"
! !
