'From Smalltalk/X, Version:2.4.2 on 13-Okt-1992 at 2:26:56'!

Object subclass:#FrameExample4
         instanceVariableNames:''
         classVariableNames:''
         poolDictionaries:''
         category:'Examples-Tutorial'
!

FrameExample4 comment:'

Tutorial example - a complex view with 2 frames

to show: fileIn this code;
execute: FrameExample4 start
destroy with WindowManager.

This example differs from the previous frames by beeing a subclass
of object (there is no need to do this, just for another variation).

%W% %E%
written oct 92 by claus
'!

!FrameExample4 class methodsFor:'startup'!

start
    self basicNew initialize
! !

!FrameExample4 methodsFor:'initialization'!

initialize
    |topView topPanel frame1 frame2 list1 list2 buttonPanel v|

    topView := StandardSystemView new.
    topView label:'Complex Frame Example'.

    topPanel := VariableHorizontalPanel 
                origin:(0.0 @ 0.0) corner:(1.0 @ 1.0)in:topView.

    frame1 := FramedBox
                origin:(0.0 @ 0.0) corner:(0.5 @ 1.0) in:topPanel.
    frame1 label:'list1'.

    frame2 := FramedBox origin:(0.5 @ 0.0) corner:(1.0 @ 1.0) in:topPanel.
    frame2 label:'list2'.

    v := ScrollableView for:SelectionInListView in:frame1.
    v origin:(0.0 @ 0.0) extent:(1.0 @ 1.0).
    list1 := v scrolledView.

    v := ScrollableView for:SelectionInListView in:frame2.
    v origin:(0.0 @ 0.0) extent:(1.0 @ 1.0).
    list2 := v scrolledView.

    topView open

    "FrameExample4 start"
! !
