StandardSystemView subclass:#PanelExample1
         instanceVariableNames:'listView textView'
         classVariableNames:''
         poolDictionaries:''
         category:'Examples-Tutorial'
!

!PanelExample1 methodsFor:'initialization'!

initialize
    |frame topFrame v|

    super initialize.

    frame := VariableVerticalPanel origin:0.0 @ 0.0
                                   corner:1.0 @ 1.0
                                       in:self.

    v := ScrollableView for:SelectionInListView in:frame.
    v origin:(0.0 @ 0.0) corner:(1.0 @ 0.3).
    listView := v scrolledView.
    listView action:[:lineNr | self listSelect:lineNr].
    listView multipleSelectOk:true.

    v := ScrollableView for:EditTextView in:frame.
    v origin:(0.0 @ 0.3) corner:(1.0 @ 1.0).
    textView := v scrolledView.

    self setupList.

    "PanelExample1 new open"
!

setupList
    listView list:#('item 1'
                    'item 2'
                    'item 3'
                    'item 4')
! !

!PanelExample1 methodsFor:'user actions'!

listSelect:selection
    textView contents:('You selected: ' , selection printString)
! !
