StandardSystemView subclass:#PanelExample2
         instanceVariableNames:'listView1 listView2 textView'
         classVariableNames:''
         poolDictionaries:''
         category:'Examples-Tutorial'
!

!PanelExample2 methodsFor:'initialization'!

initialize
    |frame topFrame v|

    super initialize.

    frame := VariableVerticalPanel origin:0.0 @ 0.0
                                   corner:1.0 @ 1.0
                                       in:self.

    topFrame := VariableHorizontalPanel origin:0.0 @ 0.0
                                        corner:1.0 @ 0.3
                                            in:frame.

    v := ScrollableView for:SelectionInListView in:topFrame.
    v origin:(0.0 @ 0.0) corner:(0.5 @ 1.0).
    listView1 := v scrolledView.
    listView1 action:[:lineNr | self select1:lineNr].
    listView1 multipleSelectOk:true.

    v := ScrollableView for:SelectionInListView in:topFrame.
    v origin:(0.5 @ 0.0) corner:(1.0 @ 1.0).
    listView2 := v scrolledView.
    listView2 action:[:lineNr | self select2:lineNr].
    listView2 multipleSelectOk:true.

    v := ScrollableView for:EditTextView in:frame.
    v origin:(0.0 @ 0.3) corner:(1.0 @ 1.0).
    textView := v scrolledView.

    self setupList.

    "PanelExample2 new open"
!

setupList
    listView1 list:#('item 1'
                     'item 2'
                     'item 3'
                     'item 4')
! !

!PanelExample2 methodsFor:'user actions'!

select1:number
    textView list:nil.
    listView2 list:(#(('item 1-1' 'item 1-2' 'item 1-3')
                      ('item 2-1' 'item 2-2' 'item 2-3')
                      ('item 3-1' 'item 3-2' 'item 3-3')
                      ('item 4-1' 'item 4-2' 'item 4-3')) at:number)
!

select2:number
    textView list:(Array with:'you selected ' , number printString)
! !
