StandardSystemView subclass:#PopUpMenuDemo2
       instanceVariableNames:'myMenu'
       classVariableNames:''
       poolDictionaries:''
       category:'Demos'
!

PopUpMenuDemo2 comment:'
 how to define menus 

 %W% %E%
 written spring 91 by claus
'!

!PopUpMenuDemo2 class methodsFor:'startup'!

start
    |aDemo|

    aDemo := self
                label:'PopUpMenu Demo'
                icon:(Form fromFile:'Demo.xbm' resolution:100)
                minExtent:(50 @ 50)
                maxExtent:(1000 @ 1000).
    aDemo extent:(300 @ 100).
    aDemo open.
    ^ aDemo

    "PopUpMenuDemo2 start"
! !

!PopUpMenuDemo2 methodsFor:'initialization'!

initialize
    |myLabel myButton|

    super initialize.
    myLabel := Label origin:(0.0 @ 0.0) extent:(1.0 @ 1.0) in:self.
    myLabel label:'press middle button for menu'.
!

initializeMiddleButtonMenu
    myMenu := PopUpMenu
                labels:#(
                         '\cone (check)'
                         '  two'
                         '  three'
                         '-'
                         '  quit'
                        )
             selectors:#(
                         oneSelected:
                         twoSelected
                         threeSelected
                         nil
                         finish
                        )
              receiver:self.

    self middleButtonMenu:myMenu
! !

!PopUpMenuDemo2 methodsFor:'user interaction'!

oneSelected:checkValue
    Transcript show:'function 1 '; showCr:checkValue
!

twoSelected
    Transcript showCr:'function 2'
!

threeSelected
    Transcript showCr:'function 3'
!

finish
    self destroy
! !
