StandardSystemView subclass:#SliderExample3
       instanceVariableNames:'slider labelField'
       classVariableNames:''
       poolDictionaries:''
       category:'Examples-Tutorial'
!

SliderExample3 comment:'

Tutorial example - a slider with a label, showing value;

fileIn this code;
evaluate: 

    SliderExample3 start

destroy with WindowManager

%W% %E%
written june 93 by claus
'!

!SliderExample3 methodsFor:'initialization'!

initialize
    |h|

    super initialize.

    self label:'Slider Example3'.
    self extent:(250 @ 50).

    h := (device verticalPixelPerMillimeter * 3) rounded.

    labelField := Label label:'  0' in:self.
    labelField sizeFixed:true.
    labelField adjust:#right.
    labelField origin:0.0 @ (20 - (labelField font ascent - h // 2)).

    slider := HorizontalSlider in:self.
    slider origin:[labelField right + 5 @ 20]
           corner:0.9 @ (20 + h).

    slider scrollAction:[:value |
        labelField label:(value rounded printString)
    ].

    "SliderExample3 start"
! !
