StandardSystemView subclass:#SliderExample4
       instanceVariableNames:'slider labelField'
       classVariableNames:''
       poolDictionaries:''
       category:'Examples-Tutorial'
!

SliderExample4 comment:'

Tutorial example - a slider with a label, showing value; label moves;
(maybe, this should be moved into libwidg as a standard class ...)

fileIn this code;
evaluate: 

    SliderExample4 start

destroy with WindowManager

%W% %E%
written june 93 by claus
'!

!SliderExample4 methodsFor:'initialization'!

initialize
    |h lw|

    super initialize.

    self label:'Slider Example4'.
    self extent:(250 @ 60).

    h := (device verticalPixelPerMillimeter * 3) rounded.

    labelField := Label label:'0' in:self.
    labelField adjust:#right.
    labelField origin:0.0 @ (20 + h + 5).
    lw := labelField width.

    slider := HorizontalSlider in:self.
    slider origin:0.1 @ 20
           corner:0.9 @ (20 + h).

    slider scrollAction:[:value |
        |xPos wThumb|

        labelField label:(value rounded printString).
        wThumb := slider thumbFrame width.
        xPos := slider left + (slider width - wThumb * (value / 100)).
        labelField left:xPos rounded - (labelField width // 2) + (wThumb // 2)
    ].

    "SliderExample4 start"
!

sizeChanged:how
    |value xPos wThumb|

    super sizeChanged:how.
    "reposition label"

    value := slider thumbOrigin.
    wThumb := slider thumbFrame width.
    xPos := slider left + (slider width - wThumb * (value / 100)).
    labelField left:xPos rounded - (labelField width // 2) + (wThumb // 2)
! !
