StandardSystemView subclass:#TwoByteStringDemo1
       instanceVariableNames:'kFont normalFont'
       classVariableNames:''
       poolDictionaries:''
       category:'Examples-Views'
!

TwoByteStringDemo1 comment:'
 demonstrates 16-bit string drawing (needs k14 font)

 %W% %E%
 written july 93 by claus
'!

!TwoByteStringDemo1 class methodsFor:'startup'!

start
    |aDemo|


    aDemo := self
                label:'TwoByteStringDemo1'
                icon:(Form fromFile:'Demo.xbm' resolution:100)
                minExtent:(50 @ 50)
                maxExtent:(1000 @ 1000).
    aDemo extent:(200 @ 100).
    aDemo open.
    ^ aDemo

    "TwoByteStringDemo1 start"
! !

!TwoByteStringDemo1 methodsFor:'initialization'!

initialize
    super initialize.
    kFont := Font family:'k14' face:nil style:nil size:nil.
    normalFont := font
! !

!TwoByteStringDemo1 methodsFor:'redrawing'!

redraw
    |s|

    self font:normalFont.
    self displayString:'16bit chars (font k14):' x:10 y:20.

    self font:kFont.
    s := TwoByteString new:10.
    s at:1 put:(Character value:16r2154).   "<<"
    s at:2 put:(Character value:16r2155).   ">>"
    s at:3 put:(Character value:16r2341).   "A"
    s at:4 put:(Character value:16r2342).   "B"
    s at:5 put:(Character value:16r2343).   "C"
    s at:6 put:(Character value:16r2541).   "some random chars"
    s at:7 put:(Character value:16r2551).
    s at:8 put:(Character value:16r2561).
    s at:9 put:(Character value:16r3144).
    s at:10 put:(Character value:16r5055).
    self displayString:s x:10 y:50.
! !
