StandardSystemView subclass:#DrawArcDemo2
       instanceVariableNames:''
       classVariableNames:''
       poolDictionaries:''
       category:'Examples-Views'
!

DrawArcDemo2 comment:'
 more on arc drawing

 %W% %E%
 written feb 94 by claus
'!

!DrawArcDemo2 class methodsFor:'startup'!

start
    |aDemo|


    aDemo := self
                label:'DrawArcDemo2'
                icon:(Form fromFile:'Demo.xbm' resolution:100)
                minExtent:(50 @ 50)
                maxExtent:(1000 @ 1000).
    aDemo extent:(200 @ 200).
    aDemo open.
    ^ aDemo

    "DrawArcDemo2 start"
! !

!DrawArcDemo2 methodsFor:'redrawing'!

redraw
    |nSegment angle1 angle2 startAngle w h x y|

    nSegment := 5.
    angle1 := 360 / (nSegment + 1).
    angle2 := 360 / nSegment.

    x := 0.
    y := 0.
    w := width.
    h := height.

    1 to:10 do:[:ring |
        startAngle := 0.
        1 to:nSegment do:[:segment |
            self displayArcX:x y:y 
                           w:w-1 h:h-1
                        from:startAngle angle:angle1.
            startAngle := startAngle + angle2.
        ].
        x := x + (width // 20 // 2).
        y := y + (height // 20 // 2).
        w := w - (width // 20).
        h := h - (height // 20).
    ]
! !
