StandardSystemView subclass:#FillArcDemo1
       instanceVariableNames:'colors'
       classVariableNames:''
       poolDictionaries:''
       category:'Examples-Views'
!

FillArcDemo1 comment:'
 how to fill arcs 

 %W% %E%
 written july 93 by claus
'!

!FillArcDemo1 class methodsFor:'startup'!

start
    |aDemo|


    aDemo := self
                label:'FillArcDemo1'
                icon:(Form fromFile:'Demo.xbm' resolution:100)
                minExtent:(50 @ 50)
                maxExtent:(1000 @ 1000).
    aDemo extent:(200 @ 200).
    aDemo open.
    ^ aDemo

    "FillArcDemo1 start"
! !

!FillArcDemo1 methodsFor:'initialization'!

initialize
    |grey|

    super initialize.

    colors := Array new:6.
    1 to:(colors size) do:[:segment |
        grey := 100 / (colors size) * segment.
        colors at:segment put:(Color grey:grey)
    ]
! !

!FillArcDemo1 methodsFor:'redrawing'!

redraw
    |nSegment angle startAngle|

    nSegment := colors size.
    angle := 360 / nSegment.
    startAngle := 0.
    1 to:nSegment do:[:segment |
        self paint:(colors at:segment).
        self fillArcX:0 y:0
                    w:width-1 h:height-1
                 from:startAngle angle:angle.
        startAngle := startAngle + angle.
    ]
! !
