; %W% %E%
; resource definitions for all views
;
;
; You have to "make newResources" after changing ...
;
; prefered style
;
; possible values are:
;  #openwin #next #iris #motif #mswindows
;  #normal #view3D
;
;VIEW_STYLE          #iris
;VIEW_STYLE          #next

#if OperatingSystem getSystemType = 'sunos'
;VIEW_STYLE          #openwin
#endif
#if OperatingSystem getSystemType = 'next' 
;VIEW_STYLE          #next
#endif
#if OperatingSystem getSystemType = 'iris' 
;VIEW_STYLE          #iris
#endif

;
; on some displays, 50% grey is very dark; on others
; too bright - here is a chance to adjust things
;

#if (Display depth == 2)
; for NeXT

COLOR_GREY_VALUE        50
COLOR_DARKGREY_VALUE    33
COLOR_LIGHTGREY_VALUE   67

#endif

#if (Display depth == 1)
; monochrome

COLOR_GREY_VALUE        50
COLOR_DARKGREY_VALUE    33
COLOR_LIGHTGREY_VALUE   67

#endif

COLOR_GREY_VALUE        67
COLOR_DARKGREY_VALUE    50
COLOR_LIGHTGREY_VALUE   83

;-----------------------------------------------------------
; View default background
;

#if (OperatingSystem getSystemType = 'iris')
VIEW_GREY       Color grey
#endif
VIEW_GREY       Color lightGrey

;-----------------------------------------------------------
; Variable[Horizontal|Vertical]Panel:
;
; position of handle can be:
;    #left
;    #center
;    #right

#if (View3D not)
VARIABLE_PANEL_HANDLE_POSITION          #right
#endif
VARIABLE_PANEL_HANDLE_POSITION          #center
