GLObjectDemoView subclass:#GLCubeDemoView 
         instanceVariableNames:''
         classVariableNames:''
         poolDictionaries:''
         category:'Views-3D'
!

GLCubeDemoView comment:'
a simple cube.

start with:
    GLCubeDemoView start
'!

!GLCubeDemoView methodsFor:'initialization'!

setupPoints
    points := Array new:8.
    points at:1 put:(Point3D x:-1.0 y:-1.0 z: 1.0).   "front"
    points at:2 put:(Point3D x: 1.0 y:-1.0 z: 1.0).   
    points at:3 put:(Point3D x: 1.0 y: 1.0 z: 1.0).   
    points at:4 put:(Point3D x:-1.0 y: 1.0 z: 1.0).   
    points at:5 put:(Point3D x:-1.0 y:-1.0 z:-1.0).   "rear"
    points at:6 put:(Point3D x: 1.0 y:-1.0 z:-1.0).   
    points at:7 put:(Point3D x: 1.0 y: 1.0 z:-1.0).   
    points at:8 put:(Point3D x:-1.0 y: 1.0 z:-1.0).  
! !

!GLCubeDemoView methodsFor:'drawing'!

drawObject
    self backFace:true.

    "front side"
    self color:White.
    self beginPolygon.  
    self v3f:(points at:1).
    self v3f:(points at:2).
    self v3f:(points at:3).
    self v3f:(points at:4).
    self endPolygon. 

    "back side"
    self color:Green.
    self beginPolygon. 
    self v3f:(points at:6).
    self v3f:(points at:5).
    self v3f:(points at:8).
    self v3f:(points at:7).
    self endPolygon. 

    "right side"
    self color:Red.
    self beginPolygon. 
    self v3f:(points at:2).
    self v3f:(points at:6).
    self v3f:(points at:7).
    self v3f:(points at:3).
    self endPolygon. 

    "left side"
    self color:Yellow.
    self beginPolygon. 
    self v3f:(points at:1).
    self v3f:(points at:4).
    self v3f:(points at:8).
    self v3f:(points at:5).
    self endPolygon. 

    "top side"
    self color:Magenta.
    self beginPolygon. 
    self v3f:(points at:3).
    self v3f:(points at:7).
    self v3f:(points at:8).
    self v3f:(points at:4).
    self endPolygon. 

    "bottom side"
    self color:Blue.
    self beginPolygon. 
    self v3f:(points at:1).
    self v3f:(points at:5).
    self v3f:(points at:6).
    self v3f:(points at:2).
    self endPolygon. 
! !
