"
 COPYRIGHT (c) 1989 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

LogicObject subclass:#Inverter
       instanceVariableNames:''
       classVariableNames:'Icon'
       poolDictionaries:''
       category:'Interface-LogicTool'
!

Inverter comment:'
 inverters

 $Header: /claus/smalltalk/st2.6/clients/LogicTool/RCS/Inverter.st,v 1.1 94/01/13 00:45:40 claus Exp $
 written summer 89 by claus
'!

!Inverter class methodsFor:'specification'!

icon
    Icon isNil ifTrue:[
        Icon := Form fromFile:(self iconFileName) resolution:100
    ].
    ^ Icon
!

genericName
    ^ 'inv'
!

numberOfInputs
    ^ 1
!

numberOfOutputs
    ^ 1
! !

!Inverter methodsFor:'simulation'!

evaluate
    (inputValues at:1) ifTrue:[
        (outputValues at:1) ifTrue:[
             changed := true
        ].
        outputValues at:1 put:false.
        ^ false
    ].
    (outputValues at:1) ifFalse:[
         changed := true
    ].
    outputValues at:1 put:true.
    ^ true
! !
