'From Smalltalk/X, Version:1.4 on 15-Jul-91 at 13:08:21'!

Object subclass:#Light
	 instanceVariableNames:'status'
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Tests & Demos'
!

!Light class methodsFor:'instance creation'!

setOff
    ^ self new setOff

!

setOn
    ^ self new setOn



! !

!Light methodsFor:'private'!

setOn
    status := true

!

setOff
    status := false

! !

!Light methodsFor:'change and update'!

update:aLight
    aLight == self ifFalse:[
        self turnOff
    ]
! !

!Light methodsFor:'status'!

turnOn
    self isOff ifTrue:[
        status := true.
        self changed
    ]
!

turnOff
    self isOn ifTrue:[
        status := false
    ]
! !

!Light methodsFor:'testing'!

isOn
    ^ status
!

isOff
    ^ status not
! !

!Light methodsFor:'printing'!

printString
    status ifTrue:[^ 'a Light(on)'].
    ^ 'a Light(off)'
! !

