"
 COPYRIGHT (c) 1990 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

AndGate2 subclass:#NandGate2
       instanceVariableNames:''
       classVariableNames:'Icon'
       poolDictionaries:''
       category:'Interface-LogicTool'
!

NandGate2 comment:'
 2 input nand-gate

 $Header: /claus/smalltalk/st2.6/clients/LogicTool/RCS/NandGate2.st,v 1.1 94/01/13 00:45:46 claus Exp $
 written spring 90 by claus
'!

!NandGate2 class methodsFor:'specification'!

icon
    Icon isNil ifTrue:[
        Icon := Form fromFile:(self iconFileName) resolution:100
    ].
    ^ Icon
!

genericName
    ^ 'nand'
! !

!NandGate2 methodsFor:'evaluation'!

evaluate
    |oldOutput|
    oldOutput := outputValues at:1.
    super evaluate.
    outputValues at:1 put:(super evaluate not).
    (oldOutput ~~ (outputValues at:1)) ifTrue:[
        changed := true
    ].
    ^ outputValues at:1
! !
