"
 COPYRIGHT (c) 1989 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

LogicObject subclass:#OrGate
       instanceVariableNames:''
       classVariableNames:'Icon'
       poolDictionaries:''
       category:'Interface-LogicTool'
!

OrGate comment:'
 generic or-gate

 $Header: /claus/smalltalk/st2.6/clients/LogicTool/RCS/OrGate.st,v 1.1 93/10/13 01:29:32 claus Exp $
 written summer 89 by claus
'!

!OrGate class methodsFor:'specification'!

icon
    Icon isNil ifTrue:[
        Icon := Form fromFile:(self iconFileName) resolution:100
    ].
    ^ Icon
!

genericName
    ^ 'or'
!

numberOfOutputs
    ^ 1
! !

!OrGate methodsFor:'simulation'!

evaluate
    |inputNr n|
    inputNr := 1.
    n := self numberOfInputs.
    [inputNr <= n] whileTrue:[
        (inputValues at:inputNr) ifTrue: [
            (outputValues at:1) ifFalse:[
                 changed := true
            ].
            outputValues at:1 put:true.
            ^ true
        ].
        inputNr := inputNr + 1
    ].
    (outputValues at:1) ifTrue:[
         changed := true
    ].
    outputValues at:1 put:false.
    ^ false
! !
