"
 COPYRIGHT (c) 1990 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

LogicObject subclass:#Output
       instanceVariableNames:'prevInputValue'
       classVariableNames:'OffIcon OnIcon'
       poolDictionaries:''
       category:'Interface-LogicTool'
!

Output comment:'
 output/lamp

 $Header: /claus/smalltalk/st2.6/clients/LogicTool/RCS/Output.st,v 1.2 94/01/13 00:45:52 claus Exp $
 written spring 90 by claus
'!

!Output class methodsFor:'specification'!

genericName
    ^ 'out'
!

iconFileName
    ^ 'OutputOff.64'
!

icon
    ^ self offIcon
!

onIcon
    OnIcon isNil ifTrue:[
        OnIcon := Form fromFile:'OutputOn.64' resolution:100
    ].
    ^ OnIcon
!

offIcon
    OffIcon isNil ifTrue:[
        OffIcon := Form fromFile:'OutputOff.64' resolution:100
    ].
    ^ OffIcon
!

numberOfInputs
    ^ 1
!

numberOfOutputs
    ^ 0
! !

!Output methodsFor:'specification'!

icon
    (inputValues at:1) ifTrue:[
        ^ self class onIcon
    ].
    ^ self class offIcon
! !

!Output methodsFor:'initialization'!

initialize
    super initialize
! !

!Output methodsFor:'simulation'!

value
    ^ inputValues at:1
!

evaluate
    ((inputValues at:1) ~~ prevInputValue) ifTrue:[
        changedPicture := true
    ].
    prevInputValue := inputValues at:1.
    ^ self
! !
