"
 COPYRIGHT (c) 1993 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

RoundClock subclass:#RoundClock2
         instanceVariableNames:''
         classVariableNames:''
         poolDictionaries:''
         category:'Demos'
!

RoundClock2 comment:'
 same as RoundClock, but adds animated round icon
'!

!RoundClock2 methodsFor:'initialization'!

initialize
    |iconClock v borderForm shapeForm bw|

    super initialize.
    v := StandardSystemView extent:48 @ 48.

    borderForm := Form width:48 height:48.
    borderForm fill:(Color colorId:0).
    shapeForm := Form width:48 height:48.
    shapeForm fill:(Color colorId:0).

    borderForm foreground:(Color colorId:1).
    shapeForm foreground:(Color colorId:1).
    borderForm fillArcX:0 y:0 
                      w:(borderForm width)
                      h:(borderForm height)
                   from:0
                  angle:360.
    bw := 2.
    shapeForm fillArcX:bw y:bw 
                     w:(shapeForm width - (bw * 2))
                     h:(shapeForm height - (bw * 2))
                   from:0
                  angle:360.
    v borderShape:borderForm.
    v viewShape:shapeForm.

    iconClock := ClockView origin:0.0 @ 0.0 extent:1.0 @ 1.0 in:v.
    iconClock showSeconds:false.
    iconClock realize.
    self iconView:v.
    ^ iconClock

    "RoundClock2 start"
! !
