"
 COPYRIGHT (c) 1993 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

ThreeSliderPanel subclass:#RGBPanel
       instanceVariableNames:''
       classVariableNames:''
       poolDictionaries:''
       category:'Views-Interactors'
!

RGBPanel comment:'
 allows mixing of a color by rgb values

RGBPanel new realize
 $Header: /claus/smalltalk/st2.6/clients/ColorPanel/RCS/RGBPanel.st,v 1.1 93/10/25 10:44:09 claus Exp $
 written june 93 by claus
'!

!RGBPanel class methodsFor:'specification'!

sliderClass
    ^ ColorSlider
! !

!RGBPanel methodsFor:'initialization'!

initialize
    super initialize.

    slider1 color:Color red; label:'red'.
    slider2 color:Color green; label:'green'.
    slider3 color:Color blue; label:'blue'.

    action := [:r :g :b | ].
! !

!RGBPanel methodsFor:'accessing'!

setFrom:aColor
    self setSlider1:aColor red 
            slider2:aColor green
            slider3:aColor blue
! !
